package com.gic.haoban.manage.api.dto.chat;

import java.io.Serializable;

public class ChatEventDTO implements Serializable {

    /**
    * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
    */
    private static final long serialVersionUID = -155687993581919178L;

    private String changeType;
    private String chatId;
    private String updateDetail;
    private Integer joinScene;
    private Integer quitScene;
    private Integer memChangeCnt;
    private String corpid;
    // 是否自建应用的回调
    private int selfCallback = 0 ;
    public int getSelfCallback() {
        return selfCallback;
    }

    public void setSelfCallback(int selfCallback) {
        this.selfCallback = selfCallback;
    }

    public String getChangeType() {
        return changeType;
    }

    public void setChangeType(String changeType) {
        this.changeType = changeType;
    }

    public String getChatId() {
        return chatId;
    }

    public String getUpdateDetail() {
        return updateDetail;
    }

    public Integer getJoinScene() {
        return joinScene;
    }

    public Integer getQuitScene() {
        return quitScene;
    }

    public Integer getMemChangeCnt() {
        return memChangeCnt;
    }

    public String getCorpid() {
        return corpid;
    }

    public void setChatId(String chatId) {
        this.chatId = chatId;
    }

    public void setUpdateDetail(String updateDetail) {
        this.updateDetail = updateDetail;
    }

    public void setJoinScene(Integer joinScene) {
        this.joinScene = joinScene;
    }

    public void setQuitScene(Integer quitScene) {
        this.quitScene = quitScene;
    }

    public void setMemChangeCnt(Integer memChangeCnt) {
        this.memChangeCnt = memChangeCnt;
    }

    public void setCorpid(String corpid) {
        this.corpid = corpid;
    }
}
